%define lib_major 1
%define lib_name  %mklibname %name %{lib_major}
%define lib_dev   %mklibname %name -d

Name:           qt5keychain
Summary:        Platform-independent Qt5 API for storing passwords securely
Version:        0.13.2
Release:        %mkrel 2
License:        LGPLv2+
Group:          Graphical desktop/KDE5
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        https://github.com/frankosterfeld/qtkeychain/archive/v%version/qtkeychain-%version.tar.xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake

%description
Platform-independent Qt5 API for storing passwords securely.

%files
%{_datadir}/qt5keychain/translations/

#------------------------------------------------------------------

%package -n     %{lib_name}
Summary:        Platform-independent Qt5 API for storing passwords securely
Group:          System/Libraries
Requires:       %{name}

%description -n %{lib_name}
Platform-independent Qt5 API for storing passwords securely.




%files -n %{lib_name}
%{_libdir}/libqt5keychain.so.%{lib_major}*
%{_libdir}/libqt5keychain.so.%{version}
#------------------------------------------------------------------

%package -n     %{lib_dev}
Summary:        Development tools for programs which will use the %{name}
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and .so libraries
for developing %{name}.

%files -n %{lib_dev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/Qt5Keychain
%{_libdir}/qt5/mkspecs/modules/*.pri

#------------------------------------------------------------------

%prep
%setup -q -n qtkeychain-%version

%build
%cmake_qt5 \
        -DLIBSECRET_SUPPORT=OFF \
        -DECM_MKSPECS_INSTALL_DIR=%{_libdir}/qt5/mkspecs/modules

%make_build

%install
%make_install -C build


%changelog
* Tue Sep 20 2022 tex - 0.13.2-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 0.13.2-1pclos2022
- new version

* Sun Oct 11 2020 tex - 0.11.1-2pclos2020
- fix rpm group

* Sun Sep 13 2020 tex - 0.11.1-1pclos2020
- new version

* Mon Jun 15 2020 tex - 0.10.0-2pclos2020
- rebuild against updates

* Sun Dec 22 2019 tex - 0.10.0-1pclos2019
- new version: 0.10.0

* Thu Dec 05 2019 tex - 0.9.1-4pclos2019
- rebuild against updates

* Mon Oct 07 2019 tex - 0.9.1-3pclos2019
- rebuild against updates

* Sat Feb 02 2019 tex - 0.9.1-2pclos2019
- rebuild against updates

